| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
IPFinder::info_IP Struct Reference

Structure info_IP with information about a specific IP obtained from a NIC. More...

`#include <IPFinder.hpp>`

## Public Attributes

IPTYPE | type
std::string | name
std::string | dev
Locator_t | locator
fastdds::rtps::LocatorWithMask | masked_locator

## Detailed Description

Structure info_IP with information about a specific IP obtained from a NIC.

## Member Data Documentation

## ◆ dev

std::string dev

## ◆ locator

Locator_t locator

## ◆ masked_locator

fastdds::rtps::LocatorWithMask masked_locator

## ◆ name

std::string name

## ◆ type

IPTYPE type

The documentation for this struct was generated from the following file:

- include/fastdds/utils/IPFinder.hpp